# CF CHECKER for Satellite Observations product
We use the Climate and Forecasts (CF) Metadata Convention [Link](http://pumatest.nerc.ac.uk/cgi-bin/cf-checker.pl) <br>
## Sea ice monthly and daily gridded data from 1978 to present
### sea_ice_concentration
File name:      09_sat_obs-satellite-sea-ice.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1321: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif (numpy.issubdtype(attr_type, numpy.int) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1322: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  numpy.issubdtype(attr_type, numpy.float) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: Lambert_Azimuthal_Grid
------------------
Checking variable: algorithm_standard_error
------------------
Checking variable: ice_conc
------------------
Checking variable: lat
------------------
Checking variable: lon
------------------
Checking variable: smearing_standard_error
------------------
Checking variable: standard_error
------------------
Checking variable: status_flag
------------------
Checking variable: time
------------------
Checking variable: time_bnds
------------------
Checking variable: xc
------------------
Checking variable: yc
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 0<br><br>

## Albedo, leaf area index and fraction absorbed of photosynthetically active radiation 10-daily gridded data from 1999 to present
### Variable: bi_hemispherical_albedo
File name:      10_sat_obs-satellite-albedo.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1321: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif (numpy.issubdtype(attr_type, numpy.int) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1322: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  numpy.issubdtype(attr_type, numpy.float) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
ERROR: Invalid attribute name: _CoordinateAxisType
------------------
Checking variable: lat
------------------
ERROR: Invalid attribute name: _CoordinateAxisType
------------------
Checking variable: crs
------------------
ERROR: Invalid attribute name: _CoordinateTransformType
ERROR: Invalid attribute name: _CoordinateAxisTypes
------------------
Checking variable: time
------------------
Checking variable: AL_BH_BB
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: AL_BH_BB_ERR
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: AL_BH_NI
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: AL_BH_NI_ERR
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: AL_BH_QFLAG
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
INFO: (3.1): No units attribute set.  Please consider adding a units attribute for completeness.
------------------
Checking variable: AL_BH_VI
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: AL_BH_VI_ERR
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: LMK
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
INFO: (3.1): No units attribute set.  Please consider adding a units attribute for completeness.
ERROR: (8.1): must be of type byte, short or int
------------------
Checking variable: NMOD
------------------
INFO: Invalid Type for attribute: _FillValue 
INFO: Invalid Type for attribute: missing_value 
```
ERRORS detected: 11<br>
WARNINGS given: 0<br>
INFORMATION messages: 20<br><br>

## Sea level daily gridded data for the Mediterranean Sea from 1993 to present
### Variable: All
File name: 12_sat_obs-satellite-sea-level-mediterranean.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1321: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif (numpy.issubdtype(attr_type, numpy.int) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1322: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  numpy.issubdtype(attr_type, numpy.float) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: crs
------------------
Checking variable: time
------------------
Checking variable: latitude
------------------
Checking variable: lat_bnds
------------------
Checking variable: longitude
------------------
Checking variable: lon_bnds
------------------
Checking variable: nv
------------------
WARN: (3): No standard_name or long_name attribute specified
INFO: attribute comment is being used in a non-standard way
------------------
Checking variable: ugos
------------------
Checking variable: sla
------------------
Checking variable: vgos
------------------
Checking variable: adt
------------------
Checking variable: ugosa
------------------
Checking variable: vgosa
------------------
Checking variable: err
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

## Sea level daily gridded data for the global ocean from 1993 to present
### Variable: All
File name:      13_sat_obs-satellite-sea-level-global.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1321: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif (numpy.issubdtype(attr_type, numpy.int) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1322: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  numpy.issubdtype(attr_type, numpy.float) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: crs
------------------
Checking variable: time
------------------
Checking variable: latitude
------------------
Checking variable: lat_bnds
------------------
Checking variable: longitude
------------------
Checking variable: lon_bnds
------------------
Checking variable: nv
------------------
WARN: (3): No standard_name or long_name attribute specified
INFO: attribute comment is being used in a non-standard way
------------------
Checking variable: vgosa
------------------
Checking variable: err
------------------
Checking variable: ugos
------------------
Checking variable: adt
------------------
Checking variable: ugosa
------------------
Checking variable: sla
------------------
Checking variable: vgos
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

## Sea level daily gridded data for the Black Sea from 1993 to present
### Variable: All
File name:      14_sat_obs-satellite-sea-level-black-sea.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1321: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif (numpy.issubdtype(attr_type, numpy.int) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1322: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  numpy.issubdtype(attr_type, numpy.float) or
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: crs
------------------
Checking variable: time
------------------
Checking variable: latitude
------------------
Checking variable: lat_bnds
------------------
Checking variable: longitude
------------------
Checking variable: lon_bnds
------------------
Checking variable: nv
------------------
WARN: (3): No standard_name or long_name attribute specified
INFO: attribute comment is being used in a non-standard way
------------------
Checking variable: vgosa
------------------
Checking variable: err
------------------
Checking variable: sla
------------------
Checking variable: ugosa
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 1<br>
INFORMATION messages: 1<br><br>

## Ozone monthly gridded data from 1970 to present
### ozone_mole_content
File name:      15_sat_obs-satellite-ozone.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.5
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: latitude
------------------
Checking variable: longitude
------------------
Checking variable: total_ozone_column
------------------
ERROR: (3.3): Invalid syntax for 'standard_name' attribute: 'atmosphere mole content of ozone'
------------------
Checking variable: total_ozone_column_number_of_observations
------------------
Checking variable: total_ozone_column_standard_deviation
------------------
ERROR: (3.3): Invalid standard_name modifier: standard_deviation
------------------
Checking variable: total_ozone_column_standard_error
------------------
```
ERRORS detected: 2<br>
WARNINGS given: 0<br>
INFORMATION messages: 0<br><br>

## Carbon dioxide data from 2002 to present derived from satellite sensors
### Variable: co2
File name:      16_sat_obs-satellite-carbon-dioxide.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: latitude
------------------
Checking variable: longitude
------------------
Checking variable: time
------------------
INFO: attribute calendar is being used in a non-standard way
------------------
Checking variable: solar_zenith_angle
------------------
Checking variable: sensor_zenith_angle
------------------
Checking variable: co2_quality_flag
------------------
Checking variable: co2
------------------
Checking variable: co2_uncertainty
------------------
Checking variable: co2_averaging_kernel
------------------
Checking variable: pressure_levels
------------------
Checking variable: pressure_weight
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 1<br><br>

## Methane data from 2002 to present derived from satellite sensors
### Variable: ch4
File name:      17_sat_obs-satellite-methane.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: latitude
------------------
Checking variable: longitude
------------------
Checking variable: time
------------------
INFO: attribute calendar is being used in a non-standard way
------------------
Checking variable: solar_zenith_angle
------------------
Checking variable: sensor_zenith_angle
------------------
Checking variable: ch4_quality_flag
------------------
Checking variable: ch4
------------------
Checking variable: ch4_uncertainty
------------------
Checking variable: ch4_averaging_kernel
------------------
Checking variable: pressure_levels
------------------
Checking variable: pressure_weight
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 1<br><br>

## Soil moisture gridded data from 1978 to present
### Variable: soil_moisture_saturation
File name:      18_sat_obs-satellite-soil-moisture.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lat
------------------
ERROR: Invalid attribute name: _CoordinateAxisType
------------------
Checking variable: lon
------------------
ERROR: Invalid attribute name: _CoordinateAxisType
------------------
Checking variable: time
------------------
ERROR: Invalid attribute name: _CoordinateAxisType
------------------
Checking variable: nobs
------------------
INFO: (3.1): No units attribute set.  Please consider adding a units attribute for completeness.
------------------
Checking variable: sensor
------------------
ERROR: Invalid attribute name: _CoordinateAxes
------------------
Checking variable: freqbandID
------------------
ERROR: Invalid attribute name: _CoordinateAxes
------------------
Checking variable: sm
------------------
ERROR: Invalid attribute name: _CoordinateAxes
```
ERRORS detected: 6<br>
WARNINGS given: 0<br>
INFORMATION messages: 1<br><br>

## Sea surface temperature daily gridded data from 1991 to 2010 produced by ESA-CCI
### Variable: All
File name:      20_sat_obs-satellite-sst-esa-cci.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.5
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: time_bnds
------------------
Checking variable: time
------------------
INFO: attribute comment is being used in a non-standard way
------------------
Checking variable: lat
------------------
INFO: attribute comment is being used in a non-standard way
------------------
Checking variable: lat_bnds
------------------
Checking variable: lon
------------------
INFO: attribute comment is being used in a non-standard way
------------------
Checking variable: lon_bnds
------------------
Checking variable: analysed_sst
------------------
Checking variable: analysis_error
------------------
Checking variable: sea_ice_fraction
------------------
Checking variable: sea_ice_fraction_error
------------------
Checking variable: mask
------------------
INFO: (3.1): No units attribute set.  Please consider adding a units attribute for completeness.
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 4<br>