# CF CHECKER for Reanalysis product
All samples have been converted from GRIB to netCDF using the CDO converter `cdo -t ecmwf -f nc4 copy $file "${file%.grib}".nc`<br><br>
We use the Climate and Forecasts (CF) Metadata Convention [Link](http://pumatest.nerc.ac.uk/cgi-bin/cf-checker.pl) <br>
## Essential climate variables for assessment of climate variability from 1979 to present
### surface_air_temperature
File name:      05_ecv-for-climate-change-01.nc
```
Output of CF-Checker follows...

CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
Checking variable: lat
------------------
Checking variable: time
------------------
Checking variable: T2M
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 0<br><br>

## ERA5 hourly data on pressure levels from 1979 to present
### temperature
File name:      06_reanalysis-era5-pressure-levels-01.grib.nc
```
Output of CF-Checker follows...
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
Checking variable: lat
------------------
Checking variable: lev
------------------
Checking variable: time
------------------
Checking variable: T
------------------
```
ERRORS detected: 0<br>
WARNINGS given: 0<br>
INFORMATION messages: 0<br><br>

## ERA5 hourly data on single levels from 1979 to present
### surface_pressure
File name:      07_reanalysis-era5-single-levels-01.grib.nc
```
Output of CF-Checker follows...

CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.4
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
Checking variable: lat
------------------
Checking variable: time
------------------
Checking variable: SP
------------------
```
ERRORS detected: 0
WARNINGS given: 0
INFORMATION messages: 0

## Climate data for the European energy sector from 1979 to 2016 derived from ERA-Interim
### dewpoint_depression
File name:      08_sis-european-energy-sector-01.nc
```
Output of CF-Checker follows...

/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `int` to `np.signedinteger` is deprecated. In future, it will be treated as `np.int64 == np.dtype(int).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
/home/ros/software/cf-checker/lib/python2.7/site-packages/cfchecker-3.1.0-py2.7.egg/cfchecker/cfchecks.py:1768: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `np.float64 == np.dtype(float).type`.
  elif numpy.issubdtype(attrType, numpy.int) or numpy.issubdtype(attrType, numpy.float):
CHECKING NetCDF FILE: /tmp/31280.nc
=====================
Using CF Checker Version 3.1.0
Checking against CF Version CF-1.6
Using Standard Name Table Version 62 (2018-12-18T16:56:35Z)
Using Area Type Table Version 9 (07 August 2018)
Using Standardized Region Name Table Version 4 (18 December 2018)
------------------
Checking variable: lon
------------------
Checking variable: lat
------------------
Checking variable: time
------------------
Checking variable: d2m
------------------
ERROR: (3.1): Invalid units: Deg C
```
ERRORS detected: 1<br>
WARNINGS given: 0<br>
INFORMATION messages: 0<br><br>